C-----------------------------------------------------------------------
C     Copyright (C) 2003-2007 CEREA
C     Author(s): Edouard Debry
C
C     CEREA (http://www.enpc.fr/cerea/) is a joint laboratory of ENPC
C     (http://www.enpc.fr/) and EDF R&D (http://www.edf.fr/).
C
C     This file is part of the Size Resolved Aerosol Model (SIREAM),
C     which is a component of the air quality modeling system Polyphemus.
C
C     Polyphemus is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
C
C     For more information, please see the Polyphemus web site:
C            http://www.enpc.fr/cerea/polyphemus/
C-----------------------------------------------------------------------
C------------------------------------------------------------------------
C     
C     Copyright (C) 2001-2003 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     Parameters for RACM mechanism .
C     
C     NS : Number of bins.
C     NB : Number of bin bounds.
C     NEORG : Number of organic species.
C     NEINORG : Number of inorganic species.
C     NILIQ, NISLD: isorropia int species.
C     NEXT : Number of external species (aerosol composition).
C     NINTIS : Number of internal species.
C
C------------------------------------------------------------------------
      INTEGER NEORG,NEINORG,NINERT,NEXT,
     &     NILIQ,NISLD,NINTIS

      PARAMETER (
     &     NEORG=9,
     &     NEINORG=5,
     &     NINERT=2,
     &     NILIQ=12,             
     &     NISLD=9,             
     &     NEXT=NEINORG+NEORG+NINERT+1,
     &     NINTIS=NILIQ+NISLD)
