C-----------------------------------------------------------------------
C     Copyright (C) 2007 CEREA
C
C     CEREA (http://www.enpc.fr/cerea/) is a joint laboratory of ENPC
C     (http://www.enpc.fr/) and EDF R&D (http://www.edf.fr/).
C
C     This file is part of the air quality modeling system Polyphemus.
C
C     Polyphemus is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published
C     by the Free Software Foundation; either version 2 of the License,
C     or (at your option) any later version.
C
C     Polyphemus is distributed in the hope that it will be useful, but
C     WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
C     General Public License for more details.
C
C     For more information, please see the Polyphemus web site:
C            http://www.enpc.fr/cerea/polyphemus/
C-----------------------------------------------------------------------


      SUBROUTINE SOLVLINCL (NESP, Kindlu,a,alu,x,b,
     $     accl,aluccl,xccl,bccl)
      
C     Routine adjointe de SOLVLIN
      
      IMPLICIT NONE
      
      INTEGER NESP, Kindlu
      DOUBLE PRECISION B(NESP), BCCL(NESP)
      DOUBLE PRECISION A(NESP,NESP),ACCL(NESP,NESP)
      DOUBLE PRECISION ALU(NESP,NESP), ALUCCL(NESP,NESP)
      DOUBLE PRECISION X(NESP), XCCL(NESP)
      
      integer i,j
      
C----------------------------------------------------------------
C     1. A^T z = xccl. sortie: z=xccl
      
      CALL LU_solve_tr(NESP,alu,xccl)
      
C----------------------------------------------------------------
C     2. bccl = bccl + z
      
      do i=1,NESP
         bCCL(i)=bCCL(i)+xccl(i)
      enddo
      
C----------------------------------------------------------------
C     3. Accl = Accl + x z^T

      do j=1,NESP
         do i=1,NESP
            ALUCCL(i,j)=ALUCCL(i,j)-xccl(i)*x(j)
            IF (Kindlu.EQ.0) THEN
               ACCL(i,j)=ACCL(i,j)+ALUCCL(i,j)
               ALUCCL(i,j)=0.D0
            ENDIF
         enddo
      enddo
      
C----------------------------------------------------------------
C     4. xccl=0

      do i = 1,NESP
         xccl(i) = 0.d0
      enddo

      end
